package com.fs.watch.service;

import com.fs.watch.domain.WatchAlarmData;
import com.fs.watch.domain.vo.AppWatchAlarmDataVo;

import java.util.List;

/**
* @author Administrator
* @description 针对表【watch_alarm_data(设备预警数据)】的数据库操作Service
* @createDate 2024-10-15 11:06:50
*/
public interface WatchAlarmDataService{
    Boolean insert(WatchAlarmData data);

    Boolean batchInsertData(List<WatchAlarmData> list);

    List<WatchAlarmData> queryByStatus(Integer status);



    List<WatchAlarmData> queryPageByStatus(WatchAlarmData data);

    List<WatchAlarmData> queryByStatusAndDeviceid(Integer status, String deviceId);

    AppWatchAlarmDataVo queryByAppStatusAndDeviceid(Integer appStatus, String deviceId);

    AppWatchAlarmDataVo queryPageByAppStatus(WatchAlarmData data);


    Integer setAppStatusById(List<String> ids);


    Boolean deleteByIds(List<String> ids);

    Integer setStatusById(List<String> ids);
}
